Environments
Get an environment
GET /v1/environments/{environment_id}- Permission
read:environments- Tokens
- API key, CLI user token, Session token
Read an environment definition.
Path parameters
environment_idstringrequired
{
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.environments.get("api-environment")
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.environments.get("api-environment");
8
console.log(result);
1
curl "https://api.ellipsis.dev/v1/environments/{environment_id}" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
environmentEnvironmentrequired
The saved environment.